NX Open C++ Reference Guide
|
Represents a @link Features::MatchEdge Features::MatchEdge@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateMatchEdgeBuilder Features::FeatureCollection::CreateMatchEdgeBuilder @endlink <br>
Default values. More...
Public Types | |
enum | EdgeConstraintType { EdgeConstraintTypeLinked, EdgeConstraintTypeFree, EdgeConstraintTypePerpendicular, EdgeConstraintTypeIsoU, EdgeConstraintTypeIsoV, EdgeConstraintTypeLinear } |
Edge constraint type. More... | |
enum | MatchExact { MatchExactExact, MatchExactAlign, MatchExactNone } |
Match Exact types. More... | |
enum | PoleMoveDirection { PoleMoveDirectionX, PoleMoveDirectionY, PoleMoveDirectionZ } |
Pole movement direction. More... | |
enum | PoleMovementConstraintEnumType { PoleMovementConstraintEnumTypeWCS, PoleMovementConstraintEnumTypeView, PoleMovementConstraintEnumTypeVector, PoleMovementConstraintEnumTypeNormal, PoleMovementConstraintEnumTypeProject, PoleMovementConstraintEnumTypeInherit, PoleMovementConstraintEnumTypeFixStart, PoleMovementConstraintEnumTypeFixEnd, PoleMovementConstraintEnumTypeStartAndEnd } |
Pole movement type. More... | |
enum | Types { TypesMatchEdgeToEdge, TypesMatchEdgeToFace, TypesMatchEdgeToCurve, TypesMatchEdgeToDatum } |
Match Edge match types. More... | |
Public Member Functions | |
NXOpen::Expression * | Blend () |
Returns the blend Created in NX7.0.0. | |
bool | CanUseFaceFinder () |
Returns the synchronous mode Created in NX7.5.0. | |
NXOpen::GeometricUtilities::ControlPoleManagerData * | ControlPoleManager () |
Returns the control pole manager Created in NX6.0.0. | |
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder * | DegreePatches () |
Returns the degree and patches Created in NX6.0.0. | |
NXOpen::GeometricUtilities::DepthSkewBuilder * | DepthSkew () |
Returns the depth skew Created in NX7.0.0. | |
double | DistanceTolerance () |
Returns the tolerance for extracting BSurface from a face Created in NX7.5.0. | |
NXOpen::GeometricUtilities::CurveRangeBuilder * | EdgeLimit () |
Returns the edge limit Created in NX6.0.0. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | EdgeOffsetPosition () |
Returns the edge offset position Created in NX6.0.0. | |
void | EditPoleUpdateSurface () |
Updates surface during edit pole. | |
NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType | EndEdgeConstraint () |
Returns the value indicating type of the end edge constraint Created in NX7.0.0. | |
NXOpen::Features::FaceRecognitionBuilder * | FaceRecognizer () |
Returns the face recognition Created in NX7.5.0. | |
bool | FlipTargetCurveOrientation () |
Returns the target curve projection orientation Created in NX7.5.2. | |
bool | IsBlendEnabled () |
Returns the value indicating if the matching is to be performed with blending Created in NX7.0.0. | |
bool | IsCreateCopy () |
Returns the new copy of match edge surface Created in NX6.0.1. | |
bool | IsEditPoleEnabled () |
Returns the poles edit state Created in NX6.0.0. | |
bool | IsEndEdgeLocked () |
Returns the end edge locked state Created in NX6.0.0. | |
bool | IsEndPoleFixed () |
Returns the value indicating if end pole is fixed Created in NX7.0.0. | |
bool | IsG0Continuity () |
Returns the g0 continuity Created in NX6.0.0. | |
bool | IsG1Continuity () |
Returns the g1 continuity Created in NX6.0.0. | |
bool | IsG2Continuity () |
Returns the g2 continuity Created in NX6.0.0. | |
bool | IsG3Continuity () |
Returns the g3 continuity Created in NX6.0.0. | |
bool | IsKeepSelected () |
Returns the value indicating if the selections are to be maintained across the sessions of the command Created in NX7.0.0. | |
bool | IsMatchEndToEnd () |
Returns the match end to end state Created in NX6.0.0. | |
bool | IsStartEdgeLocked () |
Returns the start edge locked state Created in NX6.0.0. | |
bool | IsStartPoleFixed () |
Returns the value indicating if start pole is fixed Created in NX7.0.0. | |
void | LoadEditEdge () |
Loads editing edge related internal data and should be called after selection of edge or face to match to Created in NX6.0.0. | |
NXOpen::Features::MatchEdgeBuilder::MatchExact | MatchExactType () |
Returns the value indicating type of exact match Created in NX7.0.0. | |
NXOpen::SelectNXObject * | ObjectToEdit () |
Returns the edge to edit Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | OppositeEdgeConstraint () |
Returns the start continuity constraint for matched surface Created in NX6.0.0. | |
int | PartialMatch () |
Returns the partial match Created in NX7.0.0. | |
NXOpen::Features::MatchEdgeBuilder::PoleMoveDirection | PoleMoveDirectionEnum () |
Returns the value indicating the direction of pole movement Created in NX7.0.0. | |
NXOpen::Direction * | PoleMoveDirectionVector () |
Returns the pole move direction vector Created in NX7.0.0. | |
NXOpen::Features::MatchEdgeBuilder::PoleMovementConstraintEnumType | PoleMovementConstraintType () |
Returns the value indicating type of pole movement constraint Created in NX7.0.0. | |
void | ResetEditPoles () |
Resets surface during edit pole. | |
void | SetBlendEnabled (bool isBlendEnabled) |
Sets the value indicating if the matching is to be performed with blending Created in NX7.0.0. | |
void | SetCanUseFaceFinder (bool canUseFaceFinder) |
Sets the synchronous mode Created in NX7.5.0. | |
void | SetCreateCopy (bool createCopy) |
Sets the new copy of match edge surface Created in NX6.0.1. | |
void | SetDistanceTolerance (double tolerance) |
Sets the tolerance for extracting BSurface from a face Created in NX7.5.0. | |
void | SetEditPoleEnabled (bool enable) |
Sets the poles edit state Created in NX6.0.0. | |
void | SetEndEdgeConstraint (NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType endEdgeConstraint) |
Sets the value indicating type of the end edge constraint Created in NX7.0.0. | |
void | SetEndEdgeLocked (bool lockEndEdge) |
Sets the end edge locked state Created in NX6.0.0. | |
void | SetEndPoleFixed (bool fixEndPole) |
Sets the value indicating if end pole is fixed Created in NX7.0.0. | |
void | SetFlipTargetCurveOrientation (bool flip) |
Sets the target curve projection orientation Created in NX7.5.2. | |
void | SetG0Continuity (bool g0Continuity) |
Sets the g0 continuity Created in NX6.0.0. | |
void | SetG1Continuity (bool g1Continuity) |
Sets the g1 continuity Created in NX6.0.0. | |
void | SetG2Continuity (bool g2Continuity) |
Sets the g2 continuity Created in NX6.0.0. | |
void | SetG3Continuity (bool g3Continuity) |
Sets the g3 continuity Created in NX6.0.0. | |
void | SetKeepSelected (bool isKeepSelected) |
Sets the value indicating if the selections are to be maintained across the sessions of the command Created in NX7.0.0. | |
void | SetMatchEndToEnd (bool isMatchEndToEnd) |
Sets the match end to end state Created in NX6.0.0. | |
void | SetMatchExactType (NXOpen::Features::MatchEdgeBuilder::MatchExact matchExact) |
Sets the value indicating type of exact match Created in NX7.0.0. | |
void | SetPartialMatch (int partialMatch) |
Sets the partial match Created in NX7.0.0. | |
void | SetPoleMoveDirectionEnum (NXOpen::Features::MatchEdgeBuilder::PoleMoveDirection poleMoveDirectionEnum) |
Sets the value indicating the direction of pole movement Created in NX7.0.0. | |
void | SetPoleMoveDirectionVector (NXOpen::Direction *poleMoveDirectionVector) |
Sets the pole move direction vector Created in NX7.0.0. | |
void | SetPoleMovementConstraintType (NXOpen::Features::MatchEdgeBuilder::PoleMovementConstraintEnumType poleMovementConstraint) |
Sets the value indicating type of pole movement constraint Created in NX7.0.0. | |
void | SetSelectedEditEdgeAndFace (NXOpen::Edge *edge, NXOpen::Face *face) |
Sets edge and face Created in NX7.5.0. | |
void | SetStartEdgeConstraint (NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType startEdgeConstraint) |
Sets the value indicating type of the start edge constraint Created in NX7.0.0. | |
void | SetStartEdgeLocked (bool isStartEdgeLocked) |
Sets the start edge locked state Created in NX6.0.0. | |
void | SetStartPoleFixed (bool fixStartPole) |
Sets the value indicating if start pole is fixed Created in NX7.0.0. | |
void | SetTangentDirectionVector (NXOpen::Direction *tangentDirectionVector) |
Sets the tangent direction vector Created in NX7.0.0. | |
void | SetType (NXOpen::Features::MatchEdgeBuilder::Types type) |
Sets the type Created in NX6.0.0. | |
void | SetupPoleEditing () |
Sets up surface pole editing. | |
NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType | StartEdgeConstraint () |
Returns the value indicating type of the start edge constraint Created in NX7.0.0. | |
NXOpen::Direction * | TangentDirectionVector () |
Returns the tangent direction vector Created in NX7.0.0. | |
NXOpen::SelectDisplayableObjectList * | TargetObjects () |
Returns the target object that the edge is matching to Created in NX6.0.0. | |
NXOpen::Features::MatchEdgeBuilder::Types | Type () |
Returns the type Created in NX6.0.0. | |
void | UpdateOriginalMatchSurface () |
Update original match surface geometry Created in NX7.5.2. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::MatchEdge Features::MatchEdge@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateMatchEdgeBuilder Features::FeatureCollection::CreateMatchEdgeBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Blend.Value |
100 |
CanUseFaceFinder |
0 |
DegreePatches.Degree |
3 |
DegreePatches.SegmentsOrPatches |
1 |
DegreePatches.UDegree |
5 |
DegreePatches.UPatches |
1 |
DegreePatches.VDegree |
5 |
DegreePatches.VPatches |
1 |
EdgeLimit.AnchorPosition |
Start |
EndEdgeConstraint |
Linked |
FaceRecognizer.CoaxialEnabled |
0 |
FaceRecognizer.CoplanarAxesEnabled |
0 |
FaceRecognizer.CoplanarEnabled |
0 |
FaceRecognizer.EqualDiameterEnabled |
0 |
FaceRecognizer.OffsetEnabled |
0 |
FaceRecognizer.ParallelEnabled |
0 |
FaceRecognizer.PerpendicularEnabled |
0 |
FaceRecognizer.SymmetricEnabled |
0 |
FaceRecognizer.TangentEnabled |
0 |
FaceRecognizer.ThicknessChainEnabled |
0 |
FaceRecognizer.UseFaceBrowse |
1 |
IsBlendEnabled |
0 |
IsEditPoleEnabled |
0 |
IsEndEdgeLocked |
0 |
IsEndPoleFixed |
0 |
IsG0Continuity |
1 |
IsG1Continuity |
1 |
IsG2Continuity |
0 |
IsG3Continuity |
0 |
IsKeepSelected |
0 |
IsMatchEndToEnd |
0 |
IsStartEdgeLocked |
0 |
IsStartPoleFixed |
0 |
MatchExactType |
None |
PartialMatch |
100 |
PoleMoveDirectionEnum |
X |
PoleMovementConstraintType |
Project |
StartEdgeConstraint |
Free |
Created in NX6.0.0.
Edge constraint type.
Pole movement type.
PoleMovementConstraintEnumTypeWCS |
Along WCS X/Y/Z direction. |
PoleMovementConstraintEnumTypeView |
Along view. |
PoleMovementConstraintEnumTypeVector |
Along user defined vector. |
PoleMovementConstraintEnumTypeNormal |
Normal. |
PoleMovementConstraintEnumTypeProject |
Project. |
PoleMovementConstraintEnumTypeInherit |
Inherit. |
PoleMovementConstraintEnumTypeFixStart |
Fix start. |
PoleMovementConstraintEnumTypeFixEnd |
Fix end. |
PoleMovementConstraintEnumTypeStartAndEnd |
Fix start and end. |
Match Edge match types.
The match to datum type is deprecated in NX7.0.
NXOpen::Expression* NXOpen::Features::MatchEdgeBuilder::Blend | ( | ) |
Returns the blend
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::MatchEdgeBuilder::CanUseFaceFinder | ( | ) |
Returns the synchronous mode
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::ControlPoleManagerData* NXOpen::Features::MatchEdgeBuilder::ControlPoleManager | ( | ) |
Returns the control pole manager
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder* NXOpen::Features::MatchEdgeBuilder::DegreePatches | ( | ) |
Returns the degree and patches
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::DepthSkewBuilder* NXOpen::Features::MatchEdgeBuilder::DepthSkew | ( | ) |
Returns the depth skew
Created in NX7.0.0.
License requirements : None
double NXOpen::Features::MatchEdgeBuilder::DistanceTolerance | ( | ) |
Returns the tolerance for extracting BSurface from a face
Created in NX7.5.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::CurveRangeBuilder* NXOpen::Features::MatchEdgeBuilder::EdgeLimit | ( | ) |
Returns the edge limit
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::MatchEdgeBuilder::EdgeOffsetPosition | ( | ) |
Returns the edge offset position
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::MatchEdgeBuilder::EditPoleUpdateSurface | ( | ) |
Updates surface during edit pole.
This function is used only in pole editing stage and after poles are moved to new positions. This function updates the surface according to the new pole positions.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING")
NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType NXOpen::Features::MatchEdgeBuilder::EndEdgeConstraint | ( | ) |
Returns the value indicating type of the end edge constraint
Created in NX7.0.0.
License requirements : None
NXOpen::Features::FaceRecognitionBuilder* NXOpen::Features::MatchEdgeBuilder::FaceRecognizer | ( | ) |
Returns the face recognition
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::MatchEdgeBuilder::FlipTargetCurveOrientation | ( | ) |
Returns the target curve projection orientation
Created in NX7.5.2.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::MatchEdgeBuilder::IsBlendEnabled | ( | ) |
Returns the value indicating if the matching is to be performed with blending
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::MatchEdgeBuilder::IsCreateCopy | ( | ) |
Returns the new copy of match edge surface
Created in NX6.0.1.
License requirements : features_modeling ("FEATURES MODELING")
bool NXOpen::Features::MatchEdgeBuilder::IsEditPoleEnabled | ( | ) |
Returns the poles edit state
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING")
bool NXOpen::Features::MatchEdgeBuilder::IsEndEdgeLocked | ( | ) |
Returns the end edge locked state
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::MatchEdgeBuilder::IsEndPoleFixed | ( | ) |
Returns the value indicating if end pole is fixed
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::MatchEdgeBuilder::IsG0Continuity | ( | ) |
Returns the g0 continuity
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::MatchEdgeBuilder::IsG1Continuity | ( | ) |
Returns the g1 continuity
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::MatchEdgeBuilder::IsG2Continuity | ( | ) |
Returns the g2 continuity
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::MatchEdgeBuilder::IsG3Continuity | ( | ) |
Returns the g3 continuity
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::MatchEdgeBuilder::IsKeepSelected | ( | ) |
Returns the value indicating if the selections are to be maintained across the sessions of the command
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::MatchEdgeBuilder::IsMatchEndToEnd | ( | ) |
Returns the match end to end state
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::MatchEdgeBuilder::IsStartEdgeLocked | ( | ) |
Returns the start edge locked state
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
bool NXOpen::Features::MatchEdgeBuilder::IsStartPoleFixed | ( | ) |
Returns the value indicating if start pole is fixed
Created in NX7.0.0.
License requirements : None
void NXOpen::Features::MatchEdgeBuilder::LoadEditEdge | ( | ) |
Loads editing edge related internal data and should be called after selection of edge or face to match to
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Features::MatchEdgeBuilder::MatchExact NXOpen::Features::MatchEdgeBuilder::MatchExactType | ( | ) |
Returns the value indicating type of exact match
Created in NX7.0.0.
License requirements : None
NXOpen::SelectNXObject* NXOpen::Features::MatchEdgeBuilder::ObjectToEdit | ( | ) |
Returns the edge to edit
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::MatchEdgeBuilder::OppositeEdgeConstraint | ( | ) |
Returns the start continuity constraint for matched surface
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
int NXOpen::Features::MatchEdgeBuilder::PartialMatch | ( | ) |
Returns the partial match
Created in NX7.0.0.
License requirements : None
NXOpen::Features::MatchEdgeBuilder::PoleMoveDirection NXOpen::Features::MatchEdgeBuilder::PoleMoveDirectionEnum | ( | ) |
Returns the value indicating the direction of pole movement
Created in NX7.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::MatchEdgeBuilder::PoleMoveDirectionVector | ( | ) |
Returns the pole move direction vector
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Features::MatchEdgeBuilder::PoleMovementConstraintEnumType NXOpen::Features::MatchEdgeBuilder::PoleMovementConstraintType | ( | ) |
Returns the value indicating type of pole movement constraint
Created in NX7.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::MatchEdgeBuilder::ResetEditPoles | ( | ) |
Resets surface during edit pole.
This function resets the surface control poles to their initial positions.
Created in NX7.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::MatchEdgeBuilder::SetBlendEnabled | ( | bool | isBlendEnabled | ) |
Sets the value indicating if the matching is to be performed with blending
Created in NX7.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
isBlendEnabled | isblendenabled |
void NXOpen::Features::MatchEdgeBuilder::SetCanUseFaceFinder | ( | bool | canUseFaceFinder | ) |
Sets the synchronous mode
Created in NX7.5.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
canUseFaceFinder | canusefacefinder |
void NXOpen::Features::MatchEdgeBuilder::SetCreateCopy | ( | bool | createCopy | ) |
Sets the new copy of match edge surface
Created in NX6.0.1.
License requirements : features_modeling ("FEATURES MODELING")
createCopy | createcopy |
void NXOpen::Features::MatchEdgeBuilder::SetDistanceTolerance | ( | double | tolerance | ) |
Sets the tolerance for extracting BSurface from a face
Created in NX7.5.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
tolerance | tolerance |
void NXOpen::Features::MatchEdgeBuilder::SetEditPoleEnabled | ( | bool | enable | ) |
Sets the poles edit state
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING")
enable | enable |
void NXOpen::Features::MatchEdgeBuilder::SetEndEdgeConstraint | ( | NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType | endEdgeConstraint | ) |
Sets the value indicating type of the end edge constraint
Created in NX7.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
endEdgeConstraint | endedgeconstraint |
void NXOpen::Features::MatchEdgeBuilder::SetEndEdgeLocked | ( | bool | lockEndEdge | ) |
Sets the end edge locked state
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING")
lockEndEdge | lockendedge |
void NXOpen::Features::MatchEdgeBuilder::SetEndPoleFixed | ( | bool | fixEndPole | ) |
Sets the value indicating if end pole is fixed
Created in NX7.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
fixEndPole | fixendpole |
void NXOpen::Features::MatchEdgeBuilder::SetFlipTargetCurveOrientation | ( | bool | flip | ) |
Sets the target curve projection orientation
Created in NX7.5.2.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
flip | flip |
void NXOpen::Features::MatchEdgeBuilder::SetG0Continuity | ( | bool | g0Continuity | ) |
Sets the g0 continuity
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING")
g0Continuity | g0continuity |
void NXOpen::Features::MatchEdgeBuilder::SetG1Continuity | ( | bool | g1Continuity | ) |
Sets the g1 continuity
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING")
g1Continuity | g1continuity |
void NXOpen::Features::MatchEdgeBuilder::SetG2Continuity | ( | bool | g2Continuity | ) |
Sets the g2 continuity
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING")
g2Continuity | g2continuity |
void NXOpen::Features::MatchEdgeBuilder::SetG3Continuity | ( | bool | g3Continuity | ) |
Sets the g3 continuity
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING")
g3Continuity | g3continuity |
void NXOpen::Features::MatchEdgeBuilder::SetKeepSelected | ( | bool | isKeepSelected | ) |
Sets the value indicating if the selections are to be maintained across the sessions of the command
Created in NX7.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
isKeepSelected | iskeepselected |
void NXOpen::Features::MatchEdgeBuilder::SetMatchEndToEnd | ( | bool | isMatchEndToEnd | ) |
Sets the match end to end state
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING")
isMatchEndToEnd | ismatchendtoend |
void NXOpen::Features::MatchEdgeBuilder::SetMatchExactType | ( | NXOpen::Features::MatchEdgeBuilder::MatchExact | matchExact | ) |
Sets the value indicating type of exact match
Created in NX7.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
matchExact | matchexact |
void NXOpen::Features::MatchEdgeBuilder::SetPartialMatch | ( | int | partialMatch | ) |
Sets the partial match
Created in NX7.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
partialMatch | partialmatch |
void NXOpen::Features::MatchEdgeBuilder::SetPoleMoveDirectionEnum | ( | NXOpen::Features::MatchEdgeBuilder::PoleMoveDirection | poleMoveDirectionEnum | ) |
Sets the value indicating the direction of pole movement
Created in NX7.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
poleMoveDirectionEnum | polemovedirectionenum |
void NXOpen::Features::MatchEdgeBuilder::SetPoleMoveDirectionVector | ( | NXOpen::Direction * | poleMoveDirectionVector | ) |
Sets the pole move direction vector
Created in NX7.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
poleMoveDirectionVector | polemovedirectionvector |
void NXOpen::Features::MatchEdgeBuilder::SetPoleMovementConstraintType | ( | NXOpen::Features::MatchEdgeBuilder::PoleMovementConstraintEnumType | poleMovementConstraint | ) |
Sets the value indicating type of pole movement constraint
Created in NX7.0.0.
License requirements : features_modeling ("FEATURES MODELING")
poleMovementConstraint | polemovementconstraint |
void NXOpen::Features::MatchEdgeBuilder::SetSelectedEditEdgeAndFace | ( | NXOpen::Edge * | edge, |
NXOpen::Face * | face | ||
) |
Sets edge and face
Created in NX7.5.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
edge | edge |
face | face |
void NXOpen::Features::MatchEdgeBuilder::SetStartEdgeConstraint | ( | NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType | startEdgeConstraint | ) |
Sets the value indicating type of the start edge constraint
Created in NX7.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
startEdgeConstraint | startedgeconstraint |
void NXOpen::Features::MatchEdgeBuilder::SetStartEdgeLocked | ( | bool | isStartEdgeLocked | ) |
Sets the start edge locked state
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING")
isStartEdgeLocked | isstartedgelocked |
void NXOpen::Features::MatchEdgeBuilder::SetStartPoleFixed | ( | bool | fixStartPole | ) |
Sets the value indicating if start pole is fixed
Created in NX7.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
fixStartPole | fixstartpole |
void NXOpen::Features::MatchEdgeBuilder::SetTangentDirectionVector | ( | NXOpen::Direction * | tangentDirectionVector | ) |
Sets the tangent direction vector
Created in NX7.0.0.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")
tangentDirectionVector | tangentdirectionvector |
void NXOpen::Features::MatchEdgeBuilder::SetType | ( | NXOpen::Features::MatchEdgeBuilder::Types | type | ) |
Sets the type
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING")
type | type |
void NXOpen::Features::MatchEdgeBuilder::SetupPoleEditing | ( | ) |
Sets up surface pole editing.
This should be called before getting into pole editing function to prepare necessary settings to start surface pole edit.
Created in NX6.0.0.
License requirements : features_modeling ("FEATURES MODELING")
NXOpen::Features::MatchEdgeBuilder::EdgeConstraintType NXOpen::Features::MatchEdgeBuilder::StartEdgeConstraint | ( | ) |
Returns the value indicating type of the start edge constraint
Created in NX7.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::MatchEdgeBuilder::TangentDirectionVector | ( | ) |
Returns the tangent direction vector
Created in NX7.0.0.
License requirements : None
NXOpen::SelectDisplayableObjectList* NXOpen::Features::MatchEdgeBuilder::TargetObjects | ( | ) |
Returns the target object that the edge is matching to
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
NXOpen::Features::MatchEdgeBuilder::Types NXOpen::Features::MatchEdgeBuilder::Type | ( | ) |
Returns the type
Created in NX6.0.0.
License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::MatchEdgeBuilder::UpdateOriginalMatchSurface | ( | ) |
Update original match surface geometry
Created in NX7.5.2.
License requirements : features_modeling ("FEATURES MODELING") OR studio_free_form ("STUDIO FREE FORM")